# Visualization
TKV2d
Select2D

# Select2D_SensitiveCircle Class Reference

A framework to define sensitive Areas for a Circle
Radius and center, or a geometric circle is given.
.

`#include <Select2D_SensitiveCircle.hxx>`

Inheritance diagram for Select2D_SensitiveCircle:

[legend]

## Public Member Functions

Standard_EXPORT | Select2D_SensitiveCircle (const Handle(SelectBasics_EntityOwner)&OwnerId, const gp_Circ2d &TheCirc, const Select2D_TypeOfSelection TheType=Select2D_TOS_BOUNDARY)
| Constructs a sensitive circle object defined by the owner OwnerId, the circle Circle, and the selection type Type. Type can be: - interior - boundary. .
Standard_EXPORT void | Areas (SelectBasics_ListOfBox2d &aresul)
| returns the sensitive areas for a circle...
Standard_EXPORT Standard_Boolean | Matches (const Standard_Real X, const Standard_Real Y, const Standard_Real aTol, Standard_Real &DMin)
| Returns true if the minimum distance DMin between the postion x,y and the circle is less than aTol.. .
Standard_EXPORT Standard_Boolean | Matches (const Standard_Real XMin, const Standard_Real YMin, const Standard_Real XMax, const Standard_Real YMax, const Standard_Real aTol)
| returns True if the box (Xmin,YMin)------(Xmax,Ymax) contains the SensitiveEntity. Necessary for selection using elastic boxes,or segments.
const gp_Circ2d & | Circle () const
| Returns the circle used at the time of construction of this object. .
void | SetTypeOfSelection (const Select2D_TypeOfSelection aType)
| Sets the selection type. .
Select2D_TypeOfSelection | Selection ()
| Returns the selection type used at the time of construction of this object. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Circ2d | myCirc
Select2D_TypeOfSelection | mytype

## Constructor & Destructor Documentation

Standard_EXPORT Select2D_SensitiveCircle::Select2D_SensitiveCircle | ( | const Handle(SelectBasics_EntityOwner)& | OwnerId,
|  | const gp_Circ2d & | TheCirc,
|  | const Select2D_TypeOfSelection | TheType = `Select2D_TOS_BOUNDARY`
| ) |

## Member Function Documentation

Standard_EXPORT void Select2D_SensitiveCircle::Areas | ( | SelectBasics_ListOfBox2d & | aresul | ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

const gp_Circ2d & Select2D_SensitiveCircle::Circle | ( |  | ) | const`[inline]`

Standard_EXPORT const Select2D_SensitiveCircle::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Select2D_SensitiveEntity.

Standard_EXPORT Standard_Boolean Select2D_SensitiveCircle::Matches | ( | const Standard_Real | XMin,
|  | const Standard_Real | YMin,
|  | const Standard_Real | XMax,
|  | const Standard_Real | YMax,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Standard_EXPORT Standard_Boolean Select2D_SensitiveCircle::Matches | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | aTol,
|  | Standard_Real & | DMin
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Select2D_TypeOfSelection Select2D_SensitiveCircle::Selection | ( |  | ) | `[inline]`

void Select2D_SensitiveCircle::SetTypeOfSelection | ( | const Select2D_TypeOfSelection | aType | ) | `[inline]`

## Field Documentation

gp_Circ2d Select2D_SensitiveCircle::myCirc `[private]`

Select2D_TypeOfSelection Select2D_SensitiveCircle::mytype `[private]`

The documentation for this class was generated from the following files:

- Select2D_SensitiveCircle.hxx
- Select2D_SensitiveCircle.lxx